# CompletionTokensDetails


## Fields

| Field                        | Type                         | Required                     | Description                  |
| ---------------------------- | ---------------------------- | ---------------------------- | ---------------------------- |
| `reasoning_tokens`           | *OptionalNullable[float]*    | :heavy_minus_sign:           | N/A                          |
| `audio_tokens`               | *OptionalNullable[float]*    | :heavy_minus_sign:           | N/A                          |
| `accepted_prediction_tokens` | *OptionalNullable[float]*    | :heavy_minus_sign:           | N/A                          |
| `rejected_prediction_tokens` | *OptionalNullable[float]*    | :heavy_minus_sign:           | N/A                          |